> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tenant currency rates



## OpenAPI

````yaml get /v1/tenants/{id}/currency-rates
openapi: 3.0.0
info:
  title: Auth APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/auth
  - url: https://staging.api.eu.aptlydone.com/auth
  - url: https://api.us.aptlydone.com/auth
  - url: https://api.eu.aptlydone.com/auth
security: []
tags: []
paths:
  /v1/tenants/{id}/currency-rates:
    get:
      tags:
        - tenants
      summary: Get tenant currency rates
      operationId: TenantController_getCurrencyRates_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Currency rates fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CurrencyRateDtoArrayResponse'
      security:
        - accessToken: []
components:
  schemas:
    CurrencyRateDtoArrayResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-12T09:10:12.337Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          type: array
          items:
            $ref: '#/components/schemas/CurrencyRateDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    CurrencyRateDto:
      type: object
      properties:
        currency:
          type: string
          example: Euro
          description: Currency
        currencyCode:
          type: string
          example: EUR
          description: Currency code
        rate:
          type: number
          example: 0.85
          description: Exchange rate value
      required:
        - currency
        - currencyCode
        - rate
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````